require( "scripts/styles/style.lua" );


MakeState{
	BlgBitmap{
		image = "common/backgrounds/bg_minigamemenu",
		name = "minigamesmenuBG",
		center = {x = 0, y = 0},
	},

	BlgButton{
		transformMatrix = {x = 0, y = 0},
		label = "Comic_Menu_Beach_1",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/beach/1", background="level/story/textures/bg_beach"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 200, y = 0},
		label = "Comic_Menu_Beach_2",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/beach/2", background="level/story/textures/bg_beach"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 400, y = 0},
		label = "Comic_Menu_Beach_3",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/beach/3", background="level/story/textures/bg_beach"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 600, y = 0},
		label = "Comic_Menu_Beach_5",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/beach/5", background="level/story/textures/bg_beach"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 800, y = 0},
		label = "Comic_Menu_Beach_6",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/beach/6", background="level/story/textures/bg_beach"});
			end
	},
	
	-------------------------------------------------
	
	BlgButton{
		transformMatrix = {x = 0, y = 100},
		label = "Comic_Menu_Beach_7",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/beach/7", background="level/story/textures/bg_beach"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 200, y = 100},
		label = "Comic_Menu_Beach_8",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/beach/8", background="level/story/textures/bg_beach"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 400, y = 100},
		label = "Comic_Menu_Beach_10",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/beach/10", background="level/story/textures/bg_beach"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 600, y = 100},
		label = "Comic_Menu_Beach_11",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/beach/11", background="level/story/textures/bg_beach"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 800, y = 100},
		label = "Comic_Menu_Beach_13",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/beach/13", background="level/story/textures/bg_beach"});
			end
	},
	
	---------------------------------------------------------
	
	BlgButton{
		transformMatrix = {x = 0, y = 200},
		label = "Comic_Menu_Beach_15",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/beach/15", background="level/story/textures/bg_beach"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 200, y = 200},
		label = "Comic_Menu_Beach_17",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/beach/17", background="level/story/textures/bg_beach"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 400, y = 200},
		label = "Comic_Menu_Beach_19",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/beach/19", background="level/story/textures/bg_beach"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 600, y = 200},
		label = "Comic_Menu_Beach_21",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/beach/21", background="level/story/textures/bg_beach"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 800, y = 200},
		label = "Comic_Menu_Beach_25",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/beach/25", background="level/story/textures/bg_beach"});
			end
	},
	
	
	---------------------------------------------------------------
	
	
	BlgButton{
		transformMatrix = {x = 0, y = 300},
		label = "Comic_Menu_Beach_26",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/beach/26", background="level/story/textures/bg_beach"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 200, y = 300},
		label = "Comic_Menu_Beach_30",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/beach/30", background="level/story/textures/bg_beach"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 400, y = 300},
		label = "Comic_Menu_Beach_31",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/beach/31", background="level/story/textures/bg_beach"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 600, y = 300},
		label = "Comic_Menu_Beach_33",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/beach/33", background="level/story/textures/bg_beach"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 800, y = 300},
		label = "Comic_Menu_Beach_35",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/beach/35", background="level/story/textures/bg_beach"});
			end
	},
	
	
	BlgButton{
		name = "backBtn",
		transformMatrix = {x = 0, y = 400},
		label = "back",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				SwapToState("scripts/states/statemainmenu.lua");
			end
	},
}
